Bug 53978 - playmidi says "open /dev/sequencer: No such device"
playmidi says "open /dev/sequencer: No such device"
Product: Red Hat Linux
Classification: Retired
Component: playmidi (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2001-09-24 17:17 EDT by Bob Rintel
Modified: 2014-03-16 22:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-24 17:17:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bob Rintel 2001-09-24 17:17:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i686)

Description of problem:
playmidi says "open /dev/sequencer: No such device" even though
/dev/sequencer does exist and has permissions set to be readable and
writable.  Also, realplay and cdp work fine (though sndconfig plays at
twice the speed, as someone else reported in bug #43030).

I'm running RedHat 7.1 on an IBM NetVista A60 with Analog Devices SoundMAX
Integrated Digital Audio, which sndconfig identifies as Intel
Corporation|82820 820 (Camino 2) AC'97 Audio".

Also, I have to run sndconfig again each time I reboot, or else realplay
says, "Cannot open the audio device.  Another application may be using
it."  Yet /etc/modules.conf remains as it was.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.playmidi x.mid

Actual Results:  open /dev/sequencer: No such device

Expected Results:  the music

Additional info:

alias eth0 8139too
/etc/modules.conf contains:
alias parport_lowlevel parport_pc
alias usb-controller usb-uhci
alias sound-slot-0 i810_audio
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null
2>&1 || :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null
2>&1 || :
Comment 1 Bill Nottingham 2001-09-25 13:57:12 EDT
The i810_audio (AC'97, etc) does not have a sequencer device. So playmidi
won't work.

Note You need to log in before you can comment on or make changes to this bug.